function [tsave,ysave] = RKF45(f,y0,t0,T,h0,atol,rtol,varargin)

% function RKF45
%
% Zweck: integriere die gewoehnliche Diff.-Gleichung erster Ordnung
%
%          dy/dt = f(t,y(t))
%
%        mit einem (zu?) einfachen Runge-Kutta-Fehlberg Verfahren 
%        basierend auf eingebetteten Runge-Kutta Verfahren der 
%        Ordnung 4 und 5
%
% Parameters: f        ... rechte Seite f(t,y(t)) der gew. Diff.-Gl.
%             t0,T     ... Start- und End-Zeit
%             y0       ... Anfagswert
%             h0       ... Anfangs-Schrittweite
%             atol     ... Absolute Toleranz
%             vararing ... Für Infos über varargin, siehe Matlab
%                          Dokumentation
%
% Returns: t ... Zeiten
%          y ... approx. Loesung zu Zeiten t
%
% Notes: keine
%

% refinement_case : parameter for testing
%  0 : adaptive method
%  1 : RK5 with uniform mesh
%  2 : RK4 with uniform mesh

if (nargin == 7)
  refinement_case = varargin{1};
else
  refinement_case = 0;
end

% Initialisiere Zeit- und Loesungs-Vektor
y = y0;
t = t0;
h = h0;
